Skip to end of metadata
Go to start of metadata

Blueprints that have to run the BluVal testing and meet the following criteria should submit their information in the chart below to have the vulnerability considered for an exception:

  • Running at least the minimum OS version required by the Akraino BluVal
    • Ubuntu
    • CentOS
    • Debian
    • Fedora
    • Suse Enterprise Server


Testing ItemBlueprintBlueprint OS/VerReason for exception (Problem description)Contact NameContact EmailCommentException Approved (Y/N)
Sonobuoy/ConformanceKubeEdge Edge Service BlueprintUbuntu 20.04Please refer to KubeEdge BP Test Documents#ConformanceTest(Sonobuoy)

yin.ding@futurewei.com 

Due to BluVal cannot support Sonobuoy in KubeEdge and the Conformance testing image only support v1.16, cannot support v1.19, this blueprint can have an exception during R4.

Y
Sonobuoy/ConformanceELIOT IotGateway BlueprintUbuntu 16.04

We are using kubernetes version 1.17.2.  Sonobuoy only supports k8s version <=1.16

srinivasan.s.n@huawei.com

We need exception for conformance test since sonobuoy doesn't support k8s version 1.17.2Y
Sonobuoy/ConformanceELIOT uCPE BlueprintCentOS 7.8We are using kubernetes version 1.17.2.  Sonobuoy only supports k8s version <=1.16srinivasan.s.n@huawei.comWe need exception for conformance test since sonobuoy doesn't support k8s version 1.17.2Y
Sonobuoy/ConformanceEALT-EDGE BlueprintUbuntu 18.04We are using Kubernetes version above 1.17.  Sonobuoy only supports k8s version <=1.16srinivasan.s.n@huawei.comWe need exception for conformance test since sonobuoy doesn't support k8s version 1.17.2Y
Eve + Fledge (container)Predictive MaintainanceEVEWe are using EVE as OSV Shello.fleandr@gmail.com

We use EVE as OS. Can you access that? I'm not sure, what os kernel does EVE used?

linux 5.10 & alpine 3.8

Y
Sonobuoy/ConformanceICNUbuntu 18.04ICN uses Kubernetes version 1.18.9. Sonobuoy currently support k8s version <= 1.16

kuralamudhan.ramakrishnan@intel.com

todd.malsbary@intel.com

BluVal Sonobuoy/Conformance only support v1.16.Y
Sonobuoy/ConformanceKNI Blueprint familyRed Hat Enterprise Linux CoreOS release 4.5

Kubernetes Version: v1.18.3+3107688

Sonobuoy currently support k8s version <= 1.16

rnoriega@redhat.com

We need exception for conformance test since sonobuoy doesn't support k8s version 1.18.3

We also need exception since Vuls does not support RH CoreOS as valid OS

Y
Sonobuoy/ConformancePCEIUbuntu 18.04Getting error message from BluVal robot: level=error msg="could not get tests from archive: failed to find results file \"plugins/e2e/results/global/junit_01.xml\" in archive"' does not contain 'failed tests: 0'Oleg Berzin

oberzin@equinix.com


Further troubleshooting shows the Docker image for Sonobuoy does not get pulled:

message": "Back-off pulling image \"akraino/validation:kube-conformance-v1.14\"

The Docker Hub does not have the image tagged

akraino/validation:kube-conformance-v1.14

Y
Sonobuoy/ConformanceIEC Type3 

Android cloud native applications on Arm servers in edge for Integrated Edge Cloud (IEC) Blueprint Family

Host os:Ubuntu18 Guest os:Android9We build android OS in arm server and Bluval did not support Andorid.hanyu dingdinghanyu@chinamobile.com We need exception for conformance test cause we use android OS in our project. Bluval did not support android test.Y
Sonobuoy/Conformance

IEC Type 5: SmartNIC for Integrated Edge Cloud (IEC) Blueprint Family

Host OS: debianThe bluval validation doesn't support the debian system.wangyihui@chinamobile.comWe need exception for conformance test cause we use debian OS in our project. Bluval did not support this OS.Y








RELEASE 5 EXCEPTION REQUEST


Sonobuoy / Conformance

EALT-EDGE Blueprint

and 

ELIOT IotGateway Blueprint

Ubuntu 18.04

Kubernetes version 1.18.7

Sonobuoy unable to run on Single node cluster

Daemon set will rollback without unnecessary restarts error

srinivasan.s.n@huawei.com

We need exception for conformance test because sonobuoy will not execute in a single node cluster. ( Daemon set test error )

Snapshot attached on issue description column

khemendra kumar BPs k8s is single node cluster and so can not run SonoBouy. 

Kindly provide exception

Y
Sonobuoy / ConformanceELIOT uCPE BlueprintUbuntu 18.04

Kubernetes version 1.17.2

Sonobuoy unable to run 1.17.2 k8s cluster throwing below error

srinivasan.s.n@huawei.com

We need exception for conformance test because sonobuoy can not execute for K8s 1.17.2 with 1 master and 1 worker node


Sirisha Gopigiri

Unable to replicate it. All test cases executed but the daemon set failed due to single node limitation. Please find the screenshots attached.




khemendra kumar BPs k8s is single node cluster and so can not run SonoBouy. 

Kindly provide exception

Y
















































































































































































































































  • No labels